package org.apache.torque.templates.transformer.om.dbobject.base;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import java.util.List;

import org.apache.torque.gf.control.ControllerState;
import org.apache.torque.gf.source.SourceElement;
import org.apache.torque.gf.source.SourcePath;
import org.apache.torque.gf.source.transform.SourceTransformer;
import org.apache.torque.gf.source.transform.SourceTransformerException;
import org.apache.torque.templates.TorqueSchemaElementName;

public class BaseDbObjectTransformer implements SourceTransformer
{
    public SourceElement transform(
            SourceElement root,
            ControllerState controllerState)
        throws SourceTransformerException
    {
        BaseDbObjectTableTransformer tableTransformer
                = new BaseDbObjectTableTransformer();
        List<SourceElement> elements
                = SourcePath.getElements(
                        root,
                        TorqueSchemaElementName.TABLE.getName());
        for (SourceElement tableElement : elements)
        {
            tableTransformer.transform(tableElement, controllerState);
        }
        return root;
    }
}
