package org.apache.torque.gf.configuration.controller;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/**
 * Contains tag and attribute names for the Source configuration.
 */
public final class SourceConfigurationTags
{
    /**
     * private constructor for utility class.
     */
    private SourceConfigurationTags()
    {
    }

    /** Tag name for the "source" tag. */
    public static final String SOURCE_TAG = "source";

    /** Attribute name for the "type" attribute. */
    public static final String TYPE_ATTRIBUTE = "type";

    /** Attribute name for the "path" attribute. */
    public static final String PATH_ATTRIBUTE = "path";

    /** Attribute name for the "elements" attribute. */
    public static final String ELEMENTS_ATTRIBUTE = "elements";

    /** Attribute name for the "sourceFilter" attribute. */
    public static final String SOURCE_FILTER_ATTRIBUTE = "filter";

    /** Tag name for the "transformer" tag. */
    public static final String TRANSFORMER_TAG = "transformer";

    /** Tag name for the "class" attribute of the "transformer" tag. */
    public static final String TRANSFORMER_CLASS_ATTRIBUTE = "class";
}
