package org.apache.torque.gf.source;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.torque.gf.source.transform.SourceTransformer;

/**
 * All necessary informations for doing a transformation.
 * Contains the class name and the elements the transformer should run on.
 *
 * $Id: $
 */
public final class TransformerDefinition
{
    /**
     * The transformer instance.
     */
    private SourceTransformer transformer;

    /**
     * The path to the source elements on which the transformer is applied.
     */
    private String elements;

    public TransformerDefinition(
            SourceTransformer transformer,
            String elements)
    {
        this.transformer = transformer;
        this.elements = elements;
    }

    public SourceTransformer getTransformer()
    {
        return transformer;
    }

    public String getElements()
    {
        return elements;
    }
}
