package org.apache.torque.gf.template;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.torque.gf.configuration.ConfigurationException;
import org.apache.torque.gf.control.ControllerState;
import org.apache.torque.gf.generator.Generator;

/**
 * A Generator which interprets a template.
 */
public interface TemplateGenerator extends Generator
{
    /**
     * Returns the contents as a Template as a String.
     *
     * @param controllerState the state of the controller, not null.
     *
     * @return the template as a String.
     *
     * @throws ConfigurationException if the template cannot be read.
     */
    String getContent(ControllerState controllerState)
            throws ConfigurationException;
}
